#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file submits a job to the SLURM queue for CPU profling.
# ------------------------------------------------------------------------------
#SBATCH --job-name=ectrans_cpu_prof_nlat_1024_nlon_1024
#SBATCH --partition=dev-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --account=project_465000454
#SBATCH --nodes=1
#SBATCH --gpus-per-node=8
#SBATCH --ntasks=8
#SBATCH --time=0:10:00

# Set required ENV variables.
export BINARY="ectrans-lam-benchmark-dp"
export RESDIR="res-cpu_prof_nlat_1024_nlon_1024"

# Set runtime arguments to ENV value or default.
[ -z "$NPROMA" ] && export NPROMA=64
[ -z "$NFLD" ] && export NFLD=3
[ -z "$NLEV" ] && export NLEV=100
[ -z "$NITER" ] && export NITER=10
[ -z "$NLAT" ] && export NLAT=1024
[ -z "$NLON" ] && export NLON=1024

# Profile the ecTrans dwarf.
./ectrans_prof_lumi-g.sh
